Bug 857235 - [RHEVM-SDK]: Cannot add disk to VM
[RHEVM-SDK]: Cannot add disk to VM
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-sdk (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity unspecified
: ---
: 3.1.0
Assigned To: Michael Pasternak
Jakub Libosvar
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 17:17 EDT by Carsten Clasohm
Modified: 2016-02-10 12:11 EST (History)
12 users (show)

See Also:
Fixed In Version: si18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:57:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carsten Clasohm 2012-09-13 17:17:38 EDT
Description of problem:

The Python SDK from the RHEV 3.1 Beta 2 misses the "type_" field for params.Disk, making it impossible to add a disk to a VM.


Version-Release number of selected component (if applicable):

rhevm-sdk-3.1.0.8-1.el6ev


How reproducible:

always


Steps to Reproduce:

1. Copy the example script from https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Virtualization/3.1-Beta/html/Developer_Guide/ch04s14.html

2. Modify the API login parameters and storage domain name.

3. Run the script.
  

Actual results:

Traceback (most recent call last):
  File "./disk-test", line 25, in <module>
    bootable=disk_bootable)
TypeError: __init__() got an unexpected keyword argument 'type_'


Expected results:

Script should create a disk.


Additional info:

Copying params.py from the ovirt-engine-sdk git repository to /usr/lib/python2.6/site-packages/ovirtsdk/xml fixes the problem.
Comment 1 Michael Pasternak 2012-09-14 10:38:13 EDT
this is api bug which is already fixed, please check in rhevm-sdk-3.1.0.8
Comment 2 Michael Pasternak 2012-09-14 10:41:04 EDT
btw it worth mentioning that you working with api < 3.1 
(3.1 does not have type property in disk)
Comment 3 Michael Pasternak 2012-09-14 10:42:20 EDT
(In reply to comment #1)
> this is api bug which is already fixed, please check in rhevm-sdk-3.1.0.8

sorry, meant rhevm-sdk-3.1.0.10
Comment 4 Daniel Kinon 2012-09-18 17:36:02 EDT
(In reply to comment #3)
> (In reply to comment #1)
> > this is api bug which is already fixed, please check in rhevm-sdk-3.1.0.8
> 
> sorry, meant rhevm-sdk-3.1.0.10

Given this is for an professional services engadgement surrounding the 3.1 beta, is there any way I can get an advance copy of rhevm-sdk-3.1.0.10 for testing?
Thanks,
-Dan
Comment 5 Michael Pasternak 2012-09-19 02:46:51 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #1)
> > > this is api bug which is already fixed, please check in rhevm-sdk-3.1.0.8
> > 
> > sorry, meant rhevm-sdk-3.1.0.10
> 
> Given this is for an professional services engadgement surrounding the 3.1
> beta, is there any way I can get an advance copy of rhevm-sdk-3.1.0.10 for
> testing?
> Thanks,
> -Dan

Hi Dan,

It's available in RHEVM channel.
Comment 6 Daniel Kinon 2012-09-19 11:37:37 EDT
(In reply to comment #5)
> It's available in RHEVM channel.

I can't find it in the RHEV-M beta channel.  Here is what I'm seeing:
~~~
Red Hat Enterprise Virtualization Manager Beta (v.3 x86_64) [https://rhn.redhat.com/rhn/channels/PackageListSubmit.do?cid=12083]:
* rhevm-sdk-3.1.0.5-1.el6ev.noarch 
* rhevm-sdk-3.1.0.8-1.el6ev.noarch 
~~~
no rhevm-sdk-3.1.0.10
Comment 7 Michael Pasternak 2012-09-19 12:05:07 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > It's available in RHEVM channel.
> 
> I can't find it in the RHEV-M beta channel.  Here is what I'm seeing:
> ~~~
> Red Hat Enterprise Virtualization Manager Beta (v.3 x86_64)
> [https://rhn.redhat.com/rhn/channels/PackageListSubmit.do?cid=12083]:
> * rhevm-sdk-3.1.0.5-1.el6ev.noarch 
> * rhevm-sdk-3.1.0.8-1.el6ev.noarch 
> ~~~
> no rhevm-sdk-3.1.0.10

Moran?
Comment 11 Jakub Libosvar 2012-10-02 10:30:40 EDT
Verified rhevm-restapi-3.1.0-18.el6ev.noarch
rhevm-sdk-3.1.0.10-1.el6ev.noarch

Note You need to log in before you can comment on or make changes to this bug.